> For the complete documentation index, see [llms.txt](https://api-docs.urbanpiper.com/downstream/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://api-docs.urbanpiper.com/downstream/api/references/webhook-event-headers.md).

# Webhook Event Headers

List of header values passed in the webhook requests

Our platform relies on a system of webhooks to handle 2 kinds of scenarios:

* Respond to requests which can potentially take a long time to process and are thus, handled asynchronously.
* Notify an external system when a particular *event* occurs.

Webhook callbacks will only be issued if they have been configured in the **Atlas** portal manually or through [Webhooks](/downstream/api/endpoints/setting-up-webhooks.md) API. Please check on it before relying on them for your workflows.

### Event Type

Every webhook corresponds to a particular *event*. As such, the outbound request associated with every webhook has a header value — **`X-UPR-Event-Type`** — that can be used to identify the associated *event type*. The value for this header is set to a unique value that identifies the *event*. At present, the following *event types* can be configured to trigger a webhook callback:

| Event Type                          | Unique Code |
| ----------------------------------- | ----------- |
| User feedback                       | `10005`     |
| Order placed                        | `18`        |
| Order status update                 | `60008`     |
| Order delivery status update        | `60012`     |
| Catalogue Create/Update through API | `60013`     |
| Store Create/Update through API     | `60014`     |
| Store Actions through API           | `60015`     |
| Items Actions through API           | `12004`     |
| Options Actions through API         | `12005`     |
| Category Timing Groups through API  | `60016`     |
| Hub Menu Publish                    | `12002`     |
| Mark Order Items Stock-out          | `60018`     |
| Order Feature Action                | `60017`     |
| Webhook Order Retry                 | `60019`     |

{% hint style="info" %}
**Note***:* `User feedback` is only for white-label websites/app (Meraki) ordering integration.
{% endhint %}

### Biz ID

The outbound request associated with every webhook has another header value — **`X-UPR-Biz-Id`** — that can be used to identify for which business/brand the webhook request triggered.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://api-docs.urbanpiper.com/downstream/api/references/webhook-event-headers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
